"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index_esm = require("../../../@vxe-ui/core/es/index.esm.js");
const loading = require("./src/loading.js");
const index = require("../dynamics/index.js");
const VxeLoading = Object.assign({}, loading.default, {
  install(app) {
    app.component(loading.default.name, loading.default);
  }
});
const LoadingController = {
  open(options) {
    const opts = Object.assign({}, options);
    index.dynamicStore.globalLoading = {
      modelValue: true,
      text: opts.text,
      icon: opts.icon
    };
    index.checkDynamic();
  },
  close() {
    index.dynamicStore.globalLoading = null;
  }
};
index.dynamicApp.use(VxeLoading);
index_esm.VxeUI.component(loading.default);
index_esm.VxeUI.loading = LoadingController;
const Loading = VxeLoading;
exports.Loading = Loading;
exports.LoadingController = LoadingController;
exports.VxeLoading = VxeLoading;
exports.default = VxeLoading;
